JTS Topology Suite version 1.13

## com.vividsolutions.jts.geom
Class CoordinateArrays.BidirectionalComparator

    java.lang.Object
      com.vividsolutions.jts.geom.CoordinateArrays.BidirectionalComparator

All Implemented Interfaces:
  java.util.Comparator

Enclosing class:
  CoordinateArrays

    public static class CoordinateArrays.BidirectionalComparator

extends java.lang.Object
implements java.util.Comparator

A `Comparator` for `Coordinate` arrays modulo their directionality. E.g. if two coordinate arrays are identical but reversed they will compare as equal under this ordering. If the arrays are not equal, the ordering returned is the ordering in the forward direction.

Constructor Summary
`CoordinateArrays.BidirectionalComparator()`

Method Summary
`int` `compare(java.lang.Object o1, java.lang.Object o2)`
`int` `OLDcompare(java.lang.Object o1, java.lang.Object o2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### CoordinateArrays.BidirectionalComparator

    public CoordinateArrays.BidirectionalComparator()

Method Detail

### compare

    public int compare(java.lang.Object o1,
                       java.lang.Object o2)

  Specified by:
    `compare` in interface `java.util.Comparator`

### OLDcompare

    public int OLDcompare(java.lang.Object o1,
                          java.lang.Object o2)

JTS Topology Suite version 1.13